Loading...
Searching...
No Matches
field_wdof_indirect< FieldWdof >

## Detailed Description

template<class FieldWdof>
class rheolef::details::field_wdof_indirect< FieldWdof >

Definition at line 311 of file field_wdof_indirect.h.

Inheritance diagram for field_wdof_indirect< FieldWdof >:

## Public Types

using | base0 = field_wdof_base< field_wdof_indirect< FieldWdof > >
using | scalar_type = typename FieldWdof::scalar_type
using | memory_type = typename FieldWdof::memory_type
using | base = field_indirect_base< scalar_type, memory_type >
using | size_type = typename base::size_type
using | geo_type = typename base::geo_type
using | space_type = typename base::space_type
using | const_iterator = field_indirect_const_iterator< typename disarray< size_type, memory_type >::const_iterator,typename FieldWdof::const_iterator >
using | iterator = field_indirect_iterator< typename disarray< size_type, memory_type >::const_iterator,typename FieldWdof::iterator >
using | dis_reference = typename FieldWdof::dis_reference
Public Types inherited from field_wdof_base< field_wdof_indirect< FieldWdof > >
using | size_type = typename field_traits< field_wdof_indirect< FieldWdof > >::size_type
using | scalar_type = typename field_traits< field_wdof_indirect< FieldWdof > >::scalar_type
using | memory_type = typename field_traits< field_wdof_indirect< FieldWdof > >::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
Public Types inherited from field_rdof_base< Derived >
using | size_type = typename field_traits< Derived >::size_type
using | scalar_type = typename field_traits< Derived >::scalar_type
using | memory_type = typename field_traits< Derived >::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
Public Types inherited from field_indirect_base< T, M >
using | float_type = typename float_traits< T >::type
using | memory_type = M
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
using | size_type = typename geo_type::size_type

## Public Member Functions

| field_wdof_indirect ()=delete
| field_wdof_indirect (const field_wdof_indirect< FieldWdof > &)=delete
field_wdof_indirect< FieldWdof > & | operator= (const field_wdof_indirect< FieldWdof > &)
template<class Sfinae = typename std::enable_if< has_field_wdof_interface<FieldWdof>::value ,void >::type>
| field_wdof_indirect (FieldWdof &uh, const geo_type &dom)
template<class Value >
std::enable_if< details::is_rheolef_arithmetic< Value >::value, field_wdof_indirect< FieldWdof > & >::type | operator= (const Value &value)
template<class FieldRdof >
std::enable_if< has_field_rdof_interface< FieldRdof >::value, field_wdof_indirect< FieldWdof > & >::type | operator= (const FieldRdof &rdof)
template<class FieldLazy >
std::enable_if< has_field_lazy_interface< FieldLazy >::value &&!has_field_rdof_interface< FieldLazy >::value, field_wdof_indirect< FieldWdof > & >::type | operator= (const FieldLazy &lazy)
const scalar_type & | dof (size_type idof) const
scalar_type & | dof (size_type idof)
const scalar_type & | dis_dof (size_type dis_idof) const
dis_reference | dis_dof_entry (size_type dis_idof)
template<class SetOp = details::generic_set_op>
void | dis_dof_update (const SetOp &set_op=SetOp()) const
const_iterator | begin_dof () const
const_iterator | end_dof () const
iterator | begin_dof ()
iterator | end_dof ()
Public Member Functions inherited from field_wdof_base< field_wdof_indirect< FieldWdof > >
std::enable_if< details::is_rheolef_arithmetic< Value >::value, field_wdof_base< field_wdof_indirect< FieldWdof > > & >::type | operator= (const Value &)
std::enable_if< has_field_rdof_interface< FieldRdof >::value, field_wdof_base< field_wdof_indirect< FieldWdof > > & >::type | operator= (const FieldRdof &)
std::enable_if< has_field_lazy_interface< FieldLazy >::value &&!has_field_rdof_interface< FieldLazy >::value, field_wdof_base< field_wdof_indirect< FieldWdof > > & >::type | operator= (const FieldLazy &)
field_wdof_indirect< field_wdof_indirect< FieldWdof > > | operator[] (const std::string &dom_name)
field_wdof_indirect< field_wdof_indirect< FieldWdof > > | operator[] (const geo_type &dom)
field_wdof_sliced< field_wdof_indirect< FieldWdof > > | operator[] (size_type i_comp)
field_wdof_sliced< field_wdof_indirect< FieldWdof > > | operator() (size_type i_comp, size_type j_comp)
Public Member Functions inherited from field_rdof_base< Derived >
field_rdof_indirect_const< Derived > | operator[] (const std::string &dom_name) const
field_rdof_indirect_const< Derived > | operator[] (const geo_type &dom) const
field_rdof_sliced_const< Derived > | operator[] (size_type i_comp) const
field_rdof_sliced_const< Derived > | operator() (size_type i_comp, size_type j_comp) const
bool | have_homogeneous_space (space_type &Xh) const
Public Member Functions inherited from field_indirect_base< T, M >
| field_indirect_base (const space_type &V, const geo_type &dom)
const distributor & | ownership () const
const communicator & | comm () const
size_type | ndof () const
size_type | dis_ndof () const
const geo_type & | get_geo () const
const space_type & | get_space () const

## Protected Attributes

friend | field_rdof_indirect_const< FieldWdof >
FieldWdof & | _uh
Protected Attributes inherited from field_indirect_base< T, M >
space_type | _V
space_type | _W
geo_type | _dom
disarray< size_type, memory_type > | _dom_dis_idof2dis_idof
size_type | _first_dis_idof

## Additional Inherited Members

Protected Member Functions inherited from field_wdof_base< field_wdof_indirect< FieldWdof > >
field_wdof_indirect< FieldWdof > & | derived ()
const field_wdof_indirect< FieldWdof > & | derived () const
Protected Member Functions inherited from field_rdof_base< Derived >
Derived & | derived ()
const Derived & | derived () const

## Member Typedef Documentation

## base0

template<class FieldWdof >

using base0 = field_wdof_base<field_wdof_indirect<FieldWdof> >

Definition at line 321 of file field_wdof_indirect.h.

## scalar_type

template<class FieldWdof >

using scalar_type = typename FieldWdof::scalar_type

Definition at line 322 of file field_wdof_indirect.h.

## memory_type

template<class FieldWdof >

using memory_type = typename FieldWdof::memory_type

Definition at line 323 of file field_wdof_indirect.h.

## base

template<class FieldWdof >

using base = field_indirect_base<scalar_type,memory_type>

Definition at line 324 of file field_wdof_indirect.h.

## size_type

template<class FieldWdof >

using size_type = typename base::size_type

Definition at line 325 of file field_wdof_indirect.h.

## geo_type

template<class FieldWdof >

using geo_type = typename base::geo_type

Definition at line 326 of file field_wdof_indirect.h.

## space_type

template<class FieldWdof >

using space_type = typename base::space_type

Definition at line 327 of file field_wdof_indirect.h.

## const_iterator

template<class FieldWdof >

using const_iterator = field_indirect_const_iterator< typename disarray<size_type,memory_type>::const_iterator ,typename FieldWdof::const_iterator>

Definition at line 328 of file field_wdof_indirect.h.

## iterator

template<class FieldWdof >

using iterator = field_indirect_iterator< typename disarray<size_type,memory_type>::const_iterator ,typename FieldWdof::iterator>

Definition at line 331 of file field_wdof_indirect.h.

## dis_reference

template<class FieldWdof >

using dis_reference = typename FieldWdof::dis_reference

Definition at line 334 of file field_wdof_indirect.h.

## Constructor & Destructor Documentation

## field_wdof_indirect() [1/3]

template<class FieldWdof >

field_wdof_indirect | ( |  | ) |

delete

## field_wdof_indirect() [2/3]

template<class FieldWdof >

field_wdof_indirect | ( | const field_wdof_indirect< FieldWdof > & |  | ) |

delete

## field_wdof_indirect() [3/3]

template<class FieldWdof >
template<class Sfinae >

field_wdof_indirect | ( | FieldWdof & | uh,
|  | const geo_type & | dom
| ) |  |

Definition at line 416 of file field_wdof_indirect.h.

## Member Function Documentation

## operator=() [1/4]

template<class FieldWdof >

field_wdof_indirect< FieldWdof > & operator= | ( | const field_wdof_indirect< FieldWdof > & | expr | ) |

Definition at line 426 of file field_wdof_indirect.h.

## operator=() [2/4]

template<class FieldWdof >
template<class Value >

std::enable_if< details::is_rheolef_arithmetic< Value >::value, field_wdof_indirect< FieldWdof > & >::type operator= | ( | const Value & | value | ) |

Definition at line 355 of file field_wdof_indirect.h.

## operator=() [3/4]

template<class FieldWdof >
template<class FieldRdof >

std::enable_if< has_field_rdof_interface< FieldRdof >::value, field_wdof_indirect< FieldWdof > & >::type operator= | ( | const FieldRdof & | rdof | ) |

Definition at line 362 of file field_wdof_indirect.h.

## operator=() [4/4]

template<class FieldWdof >
template<class FieldLazy >

std::enable_if< has_field_lazy_interface< FieldLazy >::value &&!has_field_rdof_interface< FieldLazy >::value, field_wdof_indirect< FieldWdof > & >::type operator= | ( | const FieldLazy & | lazy | ) |

Definition at line 370 of file field_wdof_indirect.h.

## dof() [1/2]

template<class FieldWdof >

const scalar_type & dof | ( | size_type | idof | ) | const

Definition at line 374 of file field_wdof_indirect.h.

## dof() [2/2]

template<class FieldWdof >

scalar_type & dof | ( | size_type | idof | ) |

Definition at line 375 of file field_wdof_indirect.h.

## dis_dof()

template<class FieldWdof >

const field_wdof_indirect< FieldWdof >::scalar_type & dis_dof | ( | size_type | dis_idof | ) | const

Definition at line 465 of file field_wdof_indirect.h.

## dis_dof_entry()

template<class FieldWdof >

field_wdof_indirect< FieldWdof >::dis_reference dis_dof_entry | ( | size_type | dis_idof | ) |

Definition at line 473 of file field_wdof_indirect.h.

## dis_dof_update()

template<class FieldWdof >
template<class SetOp = details::generic_set_op>

void dis_dof_update | ( | const SetOp & | set_op = `SetOp()` | ) | const

Definition at line 379 of file field_wdof_indirect.h.

## begin_dof() [1/2]

template<class FieldWdof >

field_wdof_indirect< FieldWdof >::const_iterator begin_dof | ( |  | ) | const

Definition at line 437 of file field_wdof_indirect.h.

## end_dof() [1/2]

template<class FieldWdof >

field_wdof_indirect< FieldWdof >::const_iterator end_dof | ( |  | ) | const

Definition at line 444 of file field_wdof_indirect.h.

## begin_dof() [2/2]

template<class FieldWdof >

field_wdof_indirect< FieldWdof >::iterator begin_dof | ( |  | ) |

Definition at line 451 of file field_wdof_indirect.h.

## end_dof() [2/2]

template<class FieldWdof >

field_wdof_indirect< FieldWdof >::iterator end_dof | ( |  | ) |

Definition at line 458 of file field_wdof_indirect.h.

## Member Data Documentation

## field_rdof_indirect_const< FieldWdof >

template<class FieldWdof >

friend field_rdof_indirect_const< FieldWdof >

protected

Definition at line 388 of file field_wdof_indirect.h.

## _uh

template<class FieldWdof >

FieldWdof& _uh

protected

Definition at line 389 of file field_wdof_indirect.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_wdof.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_wdof_indirect.h